Jkamaki - Feature # 4231

Status: Closed Priority: High

Author: Stavros Sachtouris Category: kamaki

Created: 08/23/2013 Assignee: Stavros Sachtouris
Updated: 09/26/2013 Due date: 08/30/2013
Subject: Implement property handling methods for plankton/image

Description

This is possible with PUT:
http://api.openstack.org/api-ref.html#os-images-1.0

http://www.synnefo.org/docs/synnefo/latest/plankton-api-guide.html#id6

Also, check related compute/image operations and remove any operations that are not supported anymore by compute/image API

Associated revisions

Revision dad1b874 - 08/27/2013 11:26 am - Stavros Sachtouris

Implement clients.image.update_image

Refs: #4231

This method will allow for image update and especialy property handling

Revision ca5528f1 - 08/27/2013 04:38 pm - Stavros Sachtouris

Add meta/properties image methods, whip compute

Refs: #4231

New methods:

/image meta list/set/delete --<meta>[=value] ... -p k1[=v1] [-p k2[=v2]] ...

Revision 404eb288 - 08/27/2013 05:11 pm - Stavros Sachtouris

Add documenation for image meta/properties cmds

Refs: #4231

Revision 9¢9169ac - 08/27/2013 05:15 pm - Stavros Sachtouris

Update changelog for meta/properties image methods

Refs: #4231

History

#1 - 08/23/2013 02:53 pm - Stavros Sachtouris
http://api.openstack.org/api-ref.html#os-images-1.0
http://www.synnefo.org/docs/synnefo/latest/plankton-api-guide.html#id6

- Estimated time set to 4.00

#2 - 08/23/2013 03:04 pm - Stavros Sachtouris
- Estimated time changed from 4.00 to 6.00

#3 - 08/27/2013 11:27 am - Stavros Sachtouris
- % Done changed from 0 to 20

#4 - 08/27/2013 04:41 pm - Stavros Sachtouris
- % Done changed from 20 to 100

#5 - 08/27/2013 04:42 pm - Stavros Sachtouris
- Status changed from New to Resolved

#6 - 09/26/2013 05:13 pm - Stavros Sachtouris
- Status changed from Resolved to Closed
